package com.ylcm.sys.domain;

import java.io.Serializable;
import java.sql.Timestamp;

/**
 * 用户实体
 */
public class User implements Serializable {

	private static final long serialVersionUID = 9062251910636681333L;

	private int uid; // 用户标识
	private String loginName; // 登录名
	private String loginPwd; // 登录密码
	private String nickName; // 用户昵称
	private String telephone; // 手机号
	private String email;//邮箱
	private Integer sex; //性别
	private int status; // 状态 :'0-正常，4-删除';
	private Timestamp crtTime; // 创建时间
	private Timestamp updTime; // 更新时间

	private String roleName;
	private Role role; // 角色
	
	public int getUid() {
		return uid;
	}

	public String getLoginName() {
		return loginName;
	}

	public void setLoginName(String loginName) {
		this.loginName = loginName;
	}

	public String getLoginPwd() {
		return loginPwd;
	}

	public void setLoginPwd(String loginPwd) {
		this.loginPwd = loginPwd;
	}

	public String getNickName() {
		return nickName;
	}

	public void setNickName(String nickName) {
		this.nickName = nickName;
	}

	public int getStatus() {
		return status;
	}

	public void setStatus(int status) {
		this.status = status;
	}

	public Timestamp getCrtTime() {
		return crtTime;
	}

	public void setCrtTime(Timestamp crtTime) {
		this.crtTime = crtTime;
	}

	public Timestamp getUpdTime() {
		return updTime;
	}

	public void setUpdTime(Timestamp updTime) {
		this.updTime = updTime;
	}

	public Role getRole() {
		return role;
	}

	public void setRole(Role role) {
		this.role = role;
	}

	public void setUid(int uid) {
		this.uid = uid;
	}

	public String getTelephone() {
		return telephone;
	}

	public void setTelephone(String telephone) {
		this.telephone = telephone;
	}

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public Integer getSex() {
		return sex;
	}

	public void setSex(Integer sex) {
		this.sex = sex;
	}

	public String getRoleName() {
		return roleName;
	}

	public void setRoleName(String roleName) {
		this.roleName = roleName;
	}

	@Override
	public String toString() {
		return "User [uid=" + uid + ", loginName=" + loginName + ", loginPwd=" + loginPwd + ", nickName=" + nickName
				+ ", telephone=" + telephone + ", email=" + email + ", sex=" + sex + ", status=" + status + ", crtTime="
				+ crtTime + ", updTime=" + updTime + ", roleName=" + roleName + ", role=" + role + "]";
	}
	
	

}